Bug 180939 - Service Worker should not clean HTTP headers added by the application or by fetch specification before service worker interception
Summary: Service Worker should not clean HTTP headers added by the application or by f...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Service Workers (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-12-18 12:41 PST by youenn fablet
Modified: 2018-01-31 18:49 PST (History)
9 users (show)

See Also:


Attachments
Patch (35.95 KB, patch)
2017-12-18 13:00 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (35.99 KB, patch)
2017-12-18 13:46 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-elcapitan-wk2 (2.51 MB, application/zip)
2017-12-18 15:02 PST, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.14 MB, application/zip)
2017-12-18 15:13 PST, Build Bot
no flags Details
Patch (36.91 KB, patch)
2017-12-18 15:18 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (42.57 KB, patch)
2017-12-18 15:37 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (36.91 KB, patch)
2017-12-18 15:57 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2017-12-18 12:41:51 PST
Accept header and headers set by a web application should not be cleaned when going through service workers.
Comment 1 youenn fablet 2017-12-18 13:00:28 PST
Created attachment 329661 [details]
Patch
Comment 2 youenn fablet 2017-12-18 13:02:08 PST
https://github.com/w3c/web-platform-tests/pull/8729
Comment 3 youenn fablet 2017-12-18 13:46:03 PST
Created attachment 329675 [details]
Patch
Comment 4 Build Bot 2017-12-18 15:02:56 PST
Comment on attachment 329675 [details]
Patch

Attachment 329675 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5730941

New failing tests:
imported/w3c/web-platform-tests/service-workers/service-worker/fetch-header-visibility.https.html
Comment 5 Build Bot 2017-12-18 15:02:58 PST
Created attachment 329688 [details]
Archive of layout-test-results from ews106 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 6 Build Bot 2017-12-18 15:13:24 PST
Comment on attachment 329675 [details]
Patch

Attachment 329675 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5730940

New failing tests:
imported/w3c/web-platform-tests/service-workers/service-worker/fetch-header-visibility.https.html
Comment 7 Build Bot 2017-12-18 15:13:25 PST
Created attachment 329690 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 8 youenn fablet 2017-12-18 15:18:47 PST
Created attachment 329691 [details]
Patch
Comment 9 Chris Dumez 2017-12-18 15:32:45 PST
Patch does not apply.
Comment 10 youenn fablet 2017-12-18 15:33:59 PST
(In reply to Chris Dumez from comment #9)
> Patch does not apply.

Same patch as previously, except one new PASS...
I am rebuilding on top of blob patch to reproduce the new PASS the bots have discovered :)
Comment 11 youenn fablet 2017-12-18 15:37:43 PST
Created attachment 329693 [details]
Patch
Comment 12 youenn fablet 2017-12-18 15:57:38 PST
Created attachment 329698 [details]
Patch
Comment 13 WebKit Commit Bot 2017-12-19 10:37:48 PST
Comment on attachment 329698 [details]
Patch

Clearing flags on attachment: 329698

Committed r226126: <https://trac.webkit.org/changeset/226126>
Comment 14 WebKit Commit Bot 2017-12-19 10:37:50 PST
All reviewed patches have been landed.  Closing bug.
Comment 15 Radar WebKit Bug Importer 2017-12-19 10:38:25 PST
<rdar://problem/36134911>
Comment 16 youenn fablet 2018-01-31 18:49:24 PST
Submitted web-platform-tests pull request: https://github.com/w3c/web-platform-tests/pull/9333